Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>	

Name:		virtuoso
#Epoch:		0
Version:	6.1.2
Release:	2
License:	GNU/GPLv2
URL:		http://www.openlinksw.com/dataspace/dav/wiki/Main
Group:		System/Libraries
Summary:	cross platform data management server
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-opensource-%{version}.tar.gz

# Patches:

# Requires:

# BuildRequires:
BuildRequires: cyrus-sasl-devel
BuildRequires: libxml2-devel
BuildRequires: libwbxml-devel

#Automatically resolved build dependencies
BuildRequires: bzip2-devel
BuildRequires: cyrus-sasl-lib
BuildRequires: expat-devel
BuildRequires: fftw-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: glibc-devel
BuildRequires: ImageMagick-devel
BuildRequires: lcms-devel
BuildRequires: libgomp
BuildRequires: libICE-devel
BuildRequires: libjpeg-devel
BuildRequires: libSM-devel
BuildRequires: libtiff-devel
BuildRequires: libtool-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libXt-devel
BuildRequires: openldap-devel
BuildRequires: openssl-devel
BuildRequires: zlib-devel

%description
Virtuoso is a scalable cross-platform server that combines SQL/RDF/XML Data Management with Web Application Server and Web Services Platform functionality. 

%pre

%preun

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-opensource-%{version}

%build
./configure \
--prefix=%_prefix \
--localstatedir=%{_localstatedir} \
--disable-debug

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# Is this really needed?
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_bindir}/inifile
%exclude %{_bindir}/isql   
%{_bindir}/isqlw  
%{_bindir}/virt_mail
%{_bindir}/virtuoso-t
%{_libdir}/jdbc-2.0/virtjdbc2.jar
%{_libdir}/jdbc-3.0/virtjdbc3.jar
%{_libdir}/jdbc-3.0/virtjdbc3ssl.jar
%{_libdir}/jdbc-4.0/virtjdbc4.jar   
%{_libdir}/jdbc-4.0/virtjdbc4ssl.jar
%{_libdir}/jena/virt_jena.jar       
%{_libdir}/libvirtuoso-t.a          
%{_libdir}/libvirtuoso-t.la         
%{_libdir}/sesame/virt_sesame2.jar  
%{_libdir}/sesame/virt_sesame3.jar  
%{_libdir}/sesame/virt_sesame.jar   
%{_libdir}/sesame/create-virtuoso.xsl
%{_libdir}/sesame/create.xsl
%{_libdir}/virtodbc.a               
%{_libdir}/virtodbc.la              
%{_libdir}/virtodbc_r.a             
%{_libdir}/virtodbc_r.la            
%{_libdir}/virtodbc_r.so            
%{_libdir}/virtodbc.so              
%{_libdir}/virtodbcu.a              
%{_libdir}/virtodbcu.la             
%{_libdir}/virtodbcu_r.a            
%{_libdir}/virtodbcu_r.la           
%{_libdir}/virtodbcu_r.so           
%{_libdir}/virtodbcu.so             
%{_libdir}/virtuoso
%{_datadir}/virtuoso 
%{_localstatedir}/lib/virtuoso
%{_libdir}/hibernate/virt_dialect.jar

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Dec 19 2010 Karsten Brockmann <arcam@ccux-linux.de> 6.1.2-2
- rebuilt against ImageMagick 6.6.5.4
* Wed Jul 14 2010 Karsten Brockmann <arcam@ccux-linux.de> 6.1.2-1
- Version update
* Wed Apr 07 2010 Karsten Brockmann <arcam@ccux-linux.de> 6.1.1-1
- Version update
* Thu Feb 11 2010 Karsten Brockmann <arcam@ccux-linux.de> 6.1.0-1
- initial CCux package release
